Summary:   GtkSQL is a graphical query tool for PostgreSQL
Name:      gtksql
Version:   0.2
Release:   1
Copyright: GPL
Group:     Applications/Databases
Source0:   http://www.mygale.org/~bbrox/GtkSQL/%{name}-%{version}.tar.gz
Source1:   %{name}.wmconfig
Vendor:    Lionel ULMER <bbrox@mygale.org>
URL:       http//www.mygale.org/~bbrox/GtkSQL/
Requires:  gtk+ >= 1.0.1
BuildRoot: /tmp/%{name}-%{version}-root
%description
GtkSQL is a graphical query tool for PostgreSQL 6.3.
Its main features are:
 - multiple SQL buffers 
 - SQL keywords, table names and fields autocompletion
 - easy displaying of tables definitions
 - exporting of query results

%prep
%setup -q

%build
make	CFLAGS="-Wall $RPM_OPT_FLAGS" \
	PGSQLIBS="-lpq" \
	PGSQLCFLAGS=-I/usr/include/pgsql

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/X11R6/bin}

install -s gtksql $RPM_BUILD_ROOT/usr/X11R6/bin
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/gtksql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc README ChangeLog
/etc/X11/wmconfig/gtksql
%attr(755 , root, root) /usr/X11R6/bin/gtksql

%changelog
* Sat Aug  9 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org> [0.2-1]
- Upgraded to version 0.2

* Sat May  2 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1-1]
- first release in rpm package (if you want rebuild this you must have rpm
  >= 2.4.99).
